body {
  height: 2000px;
}

.social-icons {
  position: fixed;
  right: 20px;
  top: 40%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  gap: 12px;
  z-index: 1000;
}

.social-icons a {
  width: 45px;
  height: 45px;
  color: #fff;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  text-decoration: none;
  transition: 0.3s;
}

.facebook { background: #1877f2; }
.call { background: #0d6efd; }
.instagram {
  background: linear-gradient(45deg, #f58529, #dd2a7b, #8134af);
}
.whatsapp { background: #25d366; }

.social-icons a:hover {
  transform: scale(1.1);
}